<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package SHIELDGROUP
 * @since SHIELDGROUP 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$shieldgroup_copyright_scheme = shieldgroup_get_theme_option( 'copyright_scheme' );
if ( ! empty( $shieldgroup_copyright_scheme ) && ! shieldgroup_is_inherit( $shieldgroup_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $shieldgroup_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$shieldgroup_copyright = shieldgroup_get_theme_option( 'copyright' );
			if ( ! empty( $shieldgroup_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$shieldgroup_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $shieldgroup_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$shieldgroup_copyright = shieldgroup_prepare_macros( $shieldgroup_copyright );
				// Display copyright
				echo wp_kses( nl2br( $shieldgroup_copyright ), 'shieldgroup_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
