<?php
/**
 * The template to display the background video in the header
 *
 * @package SHIELDGROUP
 * @since SHIELDGROUP 1.0.14
 */
$shieldgroup_header_video = shieldgroup_get_header_video();
$shieldgroup_embed_video  = '';
if ( ! empty( $shieldgroup_header_video ) && ! shieldgroup_is_from_uploads( $shieldgroup_header_video ) ) {
	if ( shieldgroup_is_youtube_url( $shieldgroup_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $shieldgroup_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php shieldgroup_show_layout( shieldgroup_get_embed_video( $shieldgroup_header_video ) ); ?></div>
		<?php
	}
}
